Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 30 Mar 2016 07:18:07 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r297410 - user/pho/stress2/misc
Message-ID:  <201603300718.u2U7I76T045261@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Wed Mar 30 07:18:06 2016
New Revision: 297410
URL: https://svnweb.freebsd.org/changeset/base/297410

Log:
  Added two new tests.
  
  Sponsored by:	EMC / Isilon Storage Division

Added:
  user/pho/stress2/misc/buildworld.sh   (contents, props changed)
  user/pho/stress2/misc/buildworld2.sh   (contents, props changed)

Added: user/pho/stress2/misc/buildworld.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/buildworld.sh	Wed Mar 30 07:18:06 2016	(r297410)
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2015 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# "panic: Invalid page 0xfffff8007f227cf0 on inact queue" seen.
+# https://people.freebsd.org/~pho/stress/log/buildworld.txt
+# Fixed by r289377
+
+. ../default.cfg
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+[ -d /usr/src/sys ] || exit 0
+[ `sysctl -n hw.physmem` -gt $(( 2 * 1024 * 1024 * 1024)) ] &&
+    echo "RAM should be clamped to 2GB or less."
+rm -f $diskimage
+[ `df -k $(dirname $diskimage) | tail -1 | awk '{print $4'}` -lt \
+    $((3 * 1024 * 1024)) ] && { echo "Need 3GB on `dirname $diskimage`"; \
+    exit 0; }
+mount | grep -q "on $mntpoint " && umount $mntpoint
+dd if=/dev/zero of=$diskimage bs=1m count=3k 2>&1 | \
+    egrep -v "records|transferred"
+trap "rm -f $diskimage" EXIT INT
+mdconfig -a -t vnode -f $diskimage -u $mdstart
+bsdlabel -w md$mdstart auto
+newfs $newfs_flags md${mdstart}$part > /dev/null
+mount -o async /dev/md${mdstart}$part $mntpoint
+
+cd /usr/src
+export MAKEOBJDIRPREFIX=$mntpoint/obj
+export TMPDIR=$mntpoint/tmp
+mkdir $TMPDIR
+chmod 0777 $TMPDIR
+
+p=$((`sysctl -n hw.ncpu`+ 1))
+make -j $p buildworld  DESTDIR=$mntpoint TARGET=amd64 TARGET_ARCH=amd64 \
+    > /dev/null &
+sleep $((20 *  60))
+kill $!
+wait
+
+while mount | grep -q "on $mntpoint "; do
+	umount $mntpoint || sleep 1
+done
+mdconfig -d -u $mdstart

Added: user/pho/stress2/misc/buildworld2.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/buildworld2.sh	Wed Mar 30 07:18:06 2016	(r297410)
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2015 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# tmpfs version of buildworld.sh
+
+. ../default.cfg
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+[ -d /usr/src/sys ] || exit 0
+[ `swapinfo | wc -l` -eq 1 ] && exit 0
+[ `sysctl -n hw.physmem` -gt $(( 2 * 1024 * 1024 * 1024)) ] &&
+    { echo "RAM must be clamped to 2GB or less."; exit 0; }
+mount | grep -q "on $mntpoint " && umount $mntpoint
+mount -t tmpfs tmpfs $mntpoint || exit 1
+
+cd /usr/src
+export MAKEOBJDIRPREFIX=$mntpoint/obj
+export TMPDIR=$mntpoint/tmp
+mkdir $TMPDIR
+chmod 0777 $TMPDIR
+
+p=$((`sysctl -n hw.ncpu`+ 1))
+make -j $p buildworld  DESTDIR=$mntpoint TARGET=amd64 TARGET_ARCH=amd64 \
+    > /dev/null &
+sleep $((20 *  60))
+kill $!
+wait
+
+while mount | grep -q "on $mntpoint "; do
+	umount $mntpoint || sleep 1
+done



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201603300718.u2U7I76T045261>